<template>
  <q-input
      v-model="search"
      :model-value="search"
      :hint="hint"
      :label="label"
      label="поиск"
      class="mb-4"
      autofocus
  >
    <template v-slot:append>
      <q-icon name="search"/>
    </template>
  </q-input>
</template>

<script>
import {ref, watch} from "vue";

export default {
  name: "Search-settings",
  props: {
    hint: {type: String},
    label: {type: String, default: 'Поиск'}
  },
  setup (prop, {emit}) {
    const search = ref('')
    watch(search, value => {
      emit('search', value)
    })
    return {
      search
    }
  }
}
</script>

<style scoped>

</style>